Инклюдинг локальных файлов в PHP-Nuke

Дата публикации:
14.03.2007
Всего просмотров:
3890
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP-Nuke 7.x
PHP-Nuke 8.x
Уязвимые версии: PHP-Nuke 7.9 и 8.0, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к важным данным на системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре куки файла "lang" в сценарии index.php. Удаленный пользователь может просмотреть произвольные файлы на системе. Для успешной эксплуатации уязвимости требуется, чтобы на системе был установлен PHP 5 и опция "magic_quotes_gpc" была отключена.

URL производителя: www.phpnuke.org

Решение: Способов устранения уязвимости не существует в настоящее время.